Create a business customer profileAsk AIpost https://api.straitsx.com/v1/kyc/customer_profiles[Available in Sandbox/Production environment] Create a business customer profile on our platform.Body ParamscustomerNamestringrequiredCustomer's full name (50 alphanumeric with spaces)Regex: /^(?=.{1,50}$)[a-zA-Z0-9 ]+$/registrationTypestringrequiredCustomer's registration typePlease input business onlyregistrationIdCountrystringrequiredThe country that issues the ID(2 digit ISO country code) from https://www.iban.com/country-codes Regex: /^[A-Z]{2}$/registrationIdTypestringrequiredCustomer's registration ID typeOnly accepts business_reg_noregistrationIdstringrequiredUEN (4 to 35 alphanumeric)Regex: %r{\A[a-zA-Z0-9/\-?:().,'+ ]{4,35}\z}placeOfBizstringrequiredCustomer's principal place of business if it is different from registered address. Otherwise, provide registered address.Regex: /^(?=.{1,255}$)[a-zA-Z0-9\-?:().,' +]+$/placeOfBizCountrystringrequiredCustomer's principal place of business country (2 digit ISO country code) from https://www.iban.com/country-codes Please provide if this is different from registered addressRegex: /^[A-Z]{2}$/countryOfIncorporationstringrequiredThis is the country that incorporates the business (2 digit ISO country code) from https://www.iban.com/country-codes Regex: /^[A-Z]{2}$/dateOfIncorporationdaterequiredDate must be in 'YYYY-MM-DD' formatRegex: /^\d{4}-\d{2}-\d{2}$/addressobjectrequiredCustomer's operating addressaddress objectHeadersX-XFERS-APP-API-KEYstringrequiredYou can retrieve this from your Dashboard Developer Tools.Note: The X-XFERS-APP-API-KEY is a mandatory header for all authentication methods, including standard API key usage and HTTP Request Signing mode.X-PUBLIC-KEY-IDstringThe Key ID, can be retrieved from your StraitsX Dashboard.Note: This header attribute is required when HTTP Request Signing is enabled for your account.X-TIMESTAMPstringCurrent Unix epoch time in seconds. Must be within ±300 seconds of server time.Note: This header attribute is required when HTTP Request Signing is enabled for your account.X-NONCEstringA unique UUID string per request, used for replay protection. Must not be reused within the timestamp window.Regex: /\A[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}\z/iNote: This header attribute is required when HTTP Request Signing is enabled for your account.X-SIGNATUREstringBase64-encoded digital signature of the canonical request string.Note: This header attribute is required when HTTP Request Signing is enabled for your account.Responses 200200 400400Updated 9 months ago